moeoFrontByFrontSharingDiversityAssignment(3)

NAME
moeoFrontByFrontSharingDiversityAssignment - Sharing assignment scheme on the way it is used in NSGA.

SYNOPSIS

#include <moeoFrontByFrontSharingDiversityAssignment.h>

Inherits moeoSharingDiversityAssignment< MOEOT >< MOEOT >.

  Public Types
typedef MOEOT::ObjectiveVector ObjectiveVector
the objective vector type of the solutions

  Public Member Functions
moeoFrontByFrontSharingDiversityAssignment (moeoDistance< MOEOT, double > &_distance, double _nicheSize=0.5, double _alpha=2.0)
Ctor.
moeoFrontByFrontSharingDiversityAssignment (double _nicheSize=0.5, double _alpha=2.0)
Ctor with an euclidean distance (with normalized objective values) in the objective space is used as default.
void updateByDeleting (eoPop< MOEOT > &_pop, ObjectiveVector &_objVec)

  Private Member Functions
void setSimilarities (eoPop< MOEOT > &_pop)
Sets similarities FRONT BY FRONT for every solution contained in the population _pop.

Detailed Description

  template<class MOEOT> class moeoFrontByFrontSharingDiversityAssignment< MOEOT >
Sharing assignment scheme on the way it is used in NSGA.

Definition at line 22 of file moeoFrontByFrontSharingDiversityAssignment.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoFrontByFrontSharingDiversityAssignment< MOEOT >::moeoFrontByFrontSharingDiversityAssignment (moeoDistance< MOEOT, double > & _distance, double _nicheSize = 0.5, double _alpha = 2.0) [inline]

Ctor.

Parameters:
    _distance the distance used to compute the neighborhood of solutions (can be related to the decision space or the objective space)
    _nicheSize neighborhood size in terms of radius distance (closely related to the way the distances are computed)
    _alpha parameter used to regulate the shape of the sharing function

Definition at line 36 of file moeoFrontByFrontSharingDiversityAssignment.h.

  template<class MOEOT> moeoFrontByFrontSharingDiversityAssignment< MOEOT >::moeoFrontByFrontSharingDiversityAssignment (double _nicheSize = 0.5, double _alpha = 2.0) [inline]

Ctor with an euclidean distance (with normalized objective values) in the objective space is used as default.

Parameters:
    _nicheSize neighborhood size in terms of radius distance (closely related to the way the distances are computed)
    _alpha parameter used to regulate the shape of the sharing function

Definition at line 45 of file moeoFrontByFrontSharingDiversityAssignment.h.

Member Function Documentation

  template<class MOEOT> void moeoFrontByFrontSharingDiversityAssignment< MOEOT >::updateByDeleting (eoPop< MOEOT > & _pop, ObjectiveVector & _objVec) [inline, virtual]

Warning:
    NOT IMPLEMENTED, DO NOTHING ! Updates the diversity values of the whole population _pop by taking the deletion of the objective vector _objVec into account.

Parameters:
    _pop the population
    _objVec the objective vector

Warning:
    NOT IMPLEMENTED, DO NOTHING !

Reimplemented from moeoSharingDiversityAssignment< MOEOT >.

Definition at line 56 of file moeoFrontByFrontSharingDiversityAssignment.h.

  template<class MOEOT> void moeoFrontByFrontSharingDiversityAssignment< MOEOT >::setSimilarities (eoPop< MOEOT > & _pop) [inline, private, virtual]

Sets similarities FRONT BY FRONT for every solution contained in the population _pop.

Parameters:
    _pop the population

Reimplemented from moeoSharingDiversityAssignment< MOEOT >.

Definition at line 74 of file moeoFrontByFrontSharingDiversityAssignment.h.

References moeoSharingDiversityAssignment< MOEOT >::distance, moeoSharingDiversityAssignment< MOEOT >::nicheSize, and moeoSharingDiversityAssignment< MOEOT >::sh().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.